# Redpen

[![Gem Version](https://badge.fury.io/rb/redpen.svg)](http://badge.fury.io/rb/redpen)
[![Build Status](https://travis-ci.org/yuku-t/redpen.svg?branch=master)](https://travis-ci.org/yuku-t/redpen)
[![Code Climate](https://codeclimate.com/github/yuku-t/redpen/badges/gpa.svg)](https://codeclimate.com/github/yuku-t/redpen)

A Ruby wrapper for [RedPen].

## Requirements

- Ruby
- JDK8

## Usage

```ruby
require 'redpen'

config_file = './path/to/redpen-conf.xml'
target_file = './path/to/doc.md'

redpen = Redpen.check(config_file, target_file, format: 'markdown')

if redpen.valid?
  puts 'Ok, Valid!'
else
  puts redpen.messages
end
```

## Install

Your Gemfile:

```ruby
gem 'redpen'
```

## License

This software is licensed under the same terms as [Redpen].

[RedPen]: https://github.com/recruit-tech/redpen
