# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'redpen/version'

Gem::Specification.new do |spec|
  spec.name          = 'redpen'
  spec.version       = Redpen::VERSION
  spec.authors       = ['Yuku Takahashi']
  spec.email         = ['taka84u9@gmail.com']
  spec.summary       = 'A Ruby wrapper for RedPen'
  spec.description   = 'A Ruby wrapper for RedPen'
  spec.homepage      = 'https://github.com/yuku-t/redpen'
  spec.license       = 'Apache-2.0'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'rubocop', '~> 0.41.0'
end
